Bug 522839 - ooffice crash when closing document
Summary: ooffice crash when closing document
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 522658 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-11 17:54 UTC by Chris Wright
Modified: 2009-11-18 14:09 UTC (History)
2 users (show)

Fixed In Version: 3.1.1-19.8.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-18 14:09:55 UTC
Type: ---


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
OpenOffice.org 101239 0 None None None Never
OpenOffice.org 101905 0 None None None Never

Description Chris Wright 2009-09-11 17:54:09 UTC
Description of problem:

ooffice died when closing a .doc document.


Version-Release number of selected component (if applicable):

openoffice.org-3.1.1-19.2.fc11

How reproducible:

Each time


Steps to Reproduce:
1. ooffice my.doc
2. exit doc (Ctrl-Q, file->exit, or window mgr close button)

  
Actual results:

crashes w/ bug notice

Expected results:

closes doc w/out bug


Additional info:

bug report paste...
(I)    x.org loaded video driver of...
(II) Loading /usr/lib64/xorg/modules/drivers//intel_drv.so
(II) Loading /usr/lib64/xorg/modules/drivers//vesa_drv.so
(II) Loading /usr/lib64/xorg/modules/drivers//fbdev_drv.so
(II) Unloading /usr/lib64/xorg/modules/drivers//vesa_drv.so
(II) Unloading /usr/lib64/xorg/modules/drivers//fbdev_drv.so
(==) Depth 24 pixmap format is 32 bpp
(III)  Desktop is: GNOME
(IV)   openoffice.org-kde version is: package openoffice.org-kde is not installed
(V)    libgcj version is: libgcj-4.4.1-2.fc11-x86_64
(VI)   kernel is: Linux 2.6.30.5-43.fc11.x86_64 #1 SMP Thu Aug 27 21:39:52 EDT 2009 x86_64 x86_64 x86_64
(VII)  OpenOffice.org core rpm version is: openoffice.org-core-3.1.1-19.2.fc11-x86_64
(VIII) accessibility is: false
(IX)   gtk theme is: Nodoka
(X)    icon theme is: Fedora
(XI)   metacity theme is: Nodoka
(XII)  fedora release is: Fedora release 11 (Leonidas)
(XIII) LANG is: en_US.UTF-8
...start free space details ...
Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/mapper/VolGroup00-LogVol00
                     137593936  46897788  83706736  36% /
/tmp                 137593936  46897788  83706736  36% /tmp
...end free space details ...
...start (default) java details ...
java version "1.6.0_0"
OpenJDK Runtime Environment (IcedTea6 1.5) (fedora-27.b16.fc11-x86_64)
OpenJDK 64-Bit Server VM (build 14.0-b15, mixed mode)
...end (default) java details ...
...start sestatus details ...
SELinux status:                 enabled
SELinuxfs mount:                /selinux
Current mode:                   enforcing
Mode from config file:          enforcing
Policy version:                 24
Policy from config file:        targeted
...end sestatus details ...
...start stackreport details ...
0x7f6fd7e9bc6c: 0x1eb048: /usr/lib64/openoffice.org3/program/../basis-link/ure-link/lib/libuno_sal.so.3 + 0x37c6c
0x7f6fd7e9c78e: 0x1eb048: /usr/lib64/openoffice.org3/program/../basis-link/ure-link/lib/libuno_sal.so.3 + 0x3878e
0x34b400eee0: 0x16d88: /lib64/libpthread.so.0 + 0xeee0
0x34b34332f5: 0x167b40: /lib64/libc.so.6 + 0x332f5 (gsignal + 0x35)
0x34b3434b20: 0x167b40: /lib64/libc.so.6 + 0x34b20 (abort + 0x180)
0x34beac35f5: 0xf2338: /usr/lib64/libstdc++.so.6 + 0xc35f5 (__gnu_cxx::__verbose_terminate_handler() + 0x115)
0x34beac1a36: 0xf2338: /usr/lib64/libstdc++.so.6 + 0xc1a36
0x34beac1a63: 0xf2338: /usr/lib64/libstdc++.so.6 + 0xc1a63
0x34beac233f: 0xf2338: /usr/lib64/libstdc++.so.6 + 0xc233f
0x7f6fd66b1034: 0x11c630: /usr/lib64/openoffice.org3/program/../basis-link/program/libsvllx.so + 0xc0034 (SfxItemPool::Put(SfxPoolItem const&, unsigned short) + 0x2b4)
0x7f6fd66b5131: 0x11c630: /usr/lib64/openoffice.org3/program/../basis-link/program/libsvllx.so + 0xc4131 (SfxItemSet::Put(SfxPoolItem const&, unsigned short) + 0x131)
0x7f6fd66b8480: 0x11c630: /usr/lib64/openoffice.org3/program/../basis-link/program/libsvllx.so + 0xc7480 (SfxItemSet::Set(SfxItemSet const&, unsigned char) + 0x90)
0x7f6fb5e2087e: 0xe363f8: /usr/lib64/openoffice.org3/program/../basis-link/program/libsvxlx.so + 0x6a687e
0x7f6fb5e20ff2: 0xe363f8: /usr/lib64/openoffice.org3/program/../basis-link/program/libsvxlx.so + 0x6a6ff2
0x7f6fd66b198b: 0x11c630: /usr/lib64/openoffice.org3/program/../basis-link/program/libsvllx.so + 0xc098b (SfxItemPool::Free(SfxItemPool*) + 0x9b)
0x7f6fb6c72c42: 0xb9c6b8: /usr/lib64/openoffice.org3/program/../basis-link/program/libswlx.so + 0x47cc42 (SwDoc::~SwDoc() + 0x1362)
0x7f6fb6ffb3b7: 0xb9c6b8: /usr/lib64/openoffice.org3/program/../basis-link/program/libswlx.so + 0x8053b7
0x7f6fb6ffb4b8: 0xb9c6b8: /usr/lib64/openoffice.org3/program/../basis-link/program/libswlx.so + 0x8054b8 (SwDocShell::~SwDocShell() + 0x88)
0x7f6fd6b904c6: 0x439ce8: /usr/lib64/openoffice.org3/program/../basis-link/program/libsfxlx.so + 0x27e4c6
0x7f6fd6b9cffe: 0x439ce8: /usr/lib64/openoffice.org3/program/../basis-link/program/libsfxlx.so + 0x28affe (SfxTopViewFrame::~SfxTopViewFrame() + 0x3e)
0x7f6fd6b9d3d9: 0x439ce8: /usr/lib64/openoffice.org3/program/../basis-link/program/libsfxlx.so + 0x28b3d9 (SfxTopViewFrame::Close() + 0x39)
0x7f6fd6b81266: 0x439ce8: /usr/lib64/openoffice.org3/program/../basis-link/program/libsfxlx.so + 0x26f266
0x7f6fd6ba9a03: 0x439ce8: /usr/lib64/openoffice.org3/program/../basis-link/program/libsfxlx.so + 0x297a03 (SfxBaseController::dispose() + 0x5e3)
0x7f6fc5ba73a0: 0x334c88: /usr/lib64/openoffice.org3/program/../basis-link/program/libfwklx.so + 0xfe3a0
0x7f6fc5ba9e50: 0x334c88: /usr/lib64/openoffice.org3/program/../basis-link/program/libfwklx.so + 0x100e50
0x7f6fc5b72f2a: 0x334c88: /usr/lib64/openoffice.org3/program/../basis-link/program/libfwklx.so + 0xc9f2a
0x7f6fc5b74756: 0x334c88: /usr/lib64/openoffice.org3/program/../basis-link/program/libfwklx.so + 0xcb756
0x7f6fd6a2240d: 0x439ce8: /usr/lib64/openoffice.org3/program/../basis-link/program/libsfxlx.so + 0x11040d
0x7f6fd6bb71f1: 0x439ce8: /usr/lib64/openoffice.org3/program/../basis-link/program/libsfxlx.so + 0x2a51f1
0x7f6fd6bb75f4: 0x439ce8: /usr/lib64/openoffice.org3/program/../basis-link/program/libsfxlx.so + 0x2a55f4
0x7f6fd6be3aba: 0x439ce8: /usr/lib64/openoffice.org3/program/../basis-link/program/libsfxlx.so + 0x2d1aba
0x7f6fd4f2912d: 0x3e1108: /usr/lib64/openoffice.org3/program/../basis-link/program/libvcllx.so + 0x2c612d
0x7f6fcc66b588: 0x8dad0: /usr/lib64/openoffice.org/basis3.1/program/libvclplug_genlx.so + 0x60588 (SalDisplay::DispatchInternalEvent() + 0xb8)
0x7f6fcc8d6b60: 0x56ac8: /usr/lib64/openoffice.org/basis3.1/program/libvclplug_gtklx.so + 0x18b60
0x34b5037abe: 0xdcae8: /lib64/libglib-2.0.so.0 + 0x37abe (g_main_context_dispatch + 0x22e)
0x34b503b278: 0xdcae8: /lib64/libglib-2.0.so.0 + 0x3b278
0x34b503b3a0: 0xdcae8: /lib64/libglib-2.0.so.0 + 0x3b3a0 (g_main_context_iteration + 0x80)
0x7f6fcc8d6ccd: 0x56ac8: /usr/lib64/openoffice.org/basis3.1/program/libvclplug_gtklx.so + 0x18ccd
0x7f6fd4d5039e: 0x3e1108: /usr/lib64/openoffice.org3/program/../basis-link/program/libvcllx.so + 0xed39e (Application::Yield(bool) + 0x3e)
0x7f6fd4d50407: 0x3e1108: /usr/lib64/openoffice.org3/program/../basis-link/program/libvcllx.so + 0xed407 (Application::Execute() + 0x27)
0x7f6fd7c16d27: 0x72fa8: /usr/lib64/openoffice.org3/program/../basis-link/program/libsofficeapp.so + 0x28d27
0x7f6fd4d54f39: 0x3e1108: /usr/lib64/openoffice.org3/program/../basis-link/program/libvcllx.so + 0xf1f39
0x7f6fd4d55025: 0x3e1108: /usr/lib64/openoffice.org3/program/../basis-link/program/libvcllx.so + 0xf2025 (SVMain() + 0x25)
0x7f6fd7c4894c: 0x72fa8: /usr/lib64/openoffice.org3/program/../basis-link/program/libsofficeapp.so + 0x5a94c (soffice_main + 0x9c)
0x400f8b: 0x1930: /usr/lib64/openoffice.org3/program/soffice.bin + 0xf8b (main + 0xb)
0x34b341ea2d: 0x167b40: /lib64/libc.so.6 + 0x1ea2d (__libc_start_main + 0xfd)
0x400eb9: 0x1930: /usr/lib64/openoffice.org3/program/soffice.bin + 0xeb9
...end stackreport details ...
...start sample ldd details ...
	linux-vdso.so.1 =>  (0x00007fff9db9e000)
	libgtk-x11-2.0.so.0 => /usr/lib64/libgtk-x11-2.0.so.0 (0x00007fe2db74e000)
	libgdk-x11-2.0.so.0 => /usr/lib64/libgdk-x11-2.0.so.0 (0x00007fe2db4af000)
	libatk-1.0.so.0 => /usr/lib64/libatk-1.0.so.0 (0x00007fe2db290000)
	libgio-2.0.so.0 => /lib64/libgio-2.0.so.0 (0x00007fe2db018000)
	libpangoft2-1.0.so.0 => /usr/lib64/libpangoft2-1.0.so.0 (0x00007fe2dadea000)
	libgdk_pixbuf-2.0.so.0 => /usr/lib64/libgdk_pixbuf-2.0.so.0 (0x00007fe2dabcd000)
	libpangocairo-1.0.so.0 => /usr/lib64/libpangocairo-1.0.so.0 (0x00007fe2da9c2000)
	libcairo.so.2 => /usr/lib64/libcairo.so.2 (0x00007fe2da74b000)
	libpango-1.0.so.0 => /usr/lib64/libpango-1.0.so.0 (0x00007fe2da502000)
	libfreetype.so.6 => /usr/lib64/libfreetype.so.6 (0x00007fe2da269000)
	libfontconfig.so.1 => /usr/lib64/libfontconfig.so.1 (0x00007fe2da034000)
	libgmodule-2.0.so.0 => /lib64/libgmodule-2.0.so.0 (0x00007fe2d9e31000)
	libgthread-2.0.so.0 => /lib64/libgthread-2.0.so.0 (0x00007fe2d9c2d000)
	librt.so.1 => /lib64/librt.so.1 (0x00007fe2d9a24000)
	libdbus-glib-1.so.2 => /usr/lib64/libdbus-glib-1.so.2 (0x00007fe2d9803000)
	libdbus-1.so.3 => /lib64/libdbus-1.so.3 (0x00007fe2d95c5000)
	libgobject-2.0.so.0 => /lib64/libgobject-2.0.so.0 (0x00007fe2d9381000)
	libglib-2.0.so.0 => /lib64/libglib-2.0.so.0 (0x00007fe2d90a3000)
	libvclplug_genlx.so => /usr/lib64/openoffice.org/basis3.1/program/libvclplug_genlx.so (0x00007fe2d8e0d000)
	libvcllx.so => /usr/lib64/openoffice.org/basis3.1/program/libvcllx.so (0x00007fe2d881e000)
	libpsplx.so => /usr/lib64/openoffice.org/basis3.1/program/libpsplx.so (0x00007fe2d852d000)
	libsotlx.so => /usr/lib64/openoffice.org/basis3.1/program/libsotlx.so (0x00007fe2d82c8000)
	libutllx.so => /usr/lib64/openoffice.org/basis3.1/program/libutllx.so (0x00007fe2d8029000)
	libtllx.so => /usr/lib64/openoffice.org/basis3.1/program/libtllx.so (0x00007fe2d7d7d000)
	libcomphelp4gcc3.so => /usr/lib64/openoffice.org/basis3.1/program/libcomphelp4gcc3.so (0x00007fe2d7a1d000)
	libucbhelper4gcc3.so => /usr/lib64/openoffice.org/basis3.1/program/libucbhelper4gcc3.so (0x00007fe2d779b000)
	libuno_cppuhelpergcc3.so.3 => /usr/lib64/openoffice.org/basis3.1/program/../ure-link/lib/libuno_cppuhelpergcc3.so.3 (0x00007fe2d74f4000)
	libuno_cppu.so.3 => /usr/lib64/openoffice.org/basis3.1/program/../ure-link/lib/libuno_cppu.so.3 (0x00007fe2d72c8000)
	libvos3gcc3.so => /usr/lib64/openoffice.org/basis3.1/program/libvos3gcc3.so (0x00007fe2d70a1000)
	libuno_sal.so.3 => /usr/lib64/openoffice.org/basis3.1/program/../ure-link/lib/libuno_sal.so.3 (0x00007fe2d6cab000)
	libXrandr.so.2 => /usr/lib64/libXrandr.so.2 (0x00007fe2d6aa3000)
	libX11.so.6 => /usr/lib64/libX11.so.6 (0x00007fe2d6769000)
	libXext.so.6 => /usr/lib64/libXext.so.6 (0x00007fe2d6557000)
	libdl.so.2 => /lib64/libdl.so.2 (0x00007fe2d6353000)
	libpthread.so.0 => /lib64/libpthread.so.0 (0x00007fe2d6136000)
	libstdc++.so.6 => /usr/lib64/libstdc++.so.6 (0x00007fe2d5e2c000)
	libm.so.6 => /lib64/libm.so.6 (0x00007fe2d5ba8000)
	libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00007fe2d598d000)
	libc.so.6 => /lib64/libc.so.6 (0x00007fe2d561f000)
	libXfixes.so.3 => /usr/lib64/libXfixes.so.3 (0x00007fe2d541a000)
	libXrender.so.1 => /usr/lib64/libXrender.so.1 (0x00007fe2d5210000)
	libXinerama.so.1 => /usr/lib64/libXinerama.so.1 (0x00007fe2d500e000)
	libXi.so.6 => /usr/lib64/libXi.so.6 (0x00007fe2d4e04000)
	libXcursor.so.1 => /usr/lib64/libXcursor.so.1 (0x00007fe2d4bf9000)
	libXcomposite.so.1 => /usr/lib64/libXcomposite.so.1 (0x00007fe2d49f7000)
	libXdamage.so.1 => /usr/lib64/libXdamage.so.1 (0x00007fe2d47f5000)
	libselinux.so.1 => /lib64/libselinux.so.1 (0x00007fe2d45d6000)
	libpng12.so.0 => /usr/lib64/libpng12.so.0 (0x00007fe2d43b1000)
	libpixman-1.so.0 => /usr/lib64/libpixman-1.so.0 (0x00007fe2d416b000)
	libz.so.1 => /lib64/libz.so.1 (0x00007fe2d3f56000)
	libexpat.so.1 => /lib64/libexpat.so.1 (0x00007fe2d3d2e000)
	/lib64/ld-linux-x86-64.so.2 (0x00000034b3000000)
	libcap.so.2 => /lib64/libcap.so.2 (0x00007fe2d3b29000)
	libi18npaperlx.so => /usr/lib64/openoffice.org/basis3.1/program/libi18npaperlx.so (0x00007fe2d3923000)
	libbasegfxlx.so => /usr/lib64/openoffice.org/basis3.1/program/libbasegfxlx.so (0x00007fe2d367d000)
	libSM.so.6 => /usr/lib64/libSM.so.6 (0x00007fe2d3475000)
	libICE.so.6 => /usr/lib64/libICE.so.6 (0x00007fe2d3259000)
	libi18nisolang1gcc3.so => /usr/lib64/openoffice.org/basis3.1/program/libi18nisolang1gcc3.so (0x00007fe2d3052000)
	libi18nutilgcc3.so => /usr/lib64/openoffice.org/basis3.1/program/libi18nutilgcc3.so (0x00007fe2d2e3f000)
	libicuuc.so.40 => /usr/lib64/libicuuc.so.40 (0x00007fe2d2af9000)
	libicudata.so.40 => /usr/lib64/libicudata.so.40 (0x00007fe2d1bb4000)
	libicule.so.40 => /usr/lib64/libicule.so.40 (0x00007fe2d197f000)
	libjvmaccessgcc3.so.3 => /usr/lib64/openoffice.org/basis3.1/program/../ure-link/lib/libjvmaccessgcc3.so.3 (0x00007fe2d1777000)
	libuno_salhelpergcc3.so.3 => /usr/lib64/openoffice.org/basis3.1/program/../ure-link/lib/libuno_salhelpergcc3.so.3 (0x00007fe2d1573000)
	libcrypt.so.1 => /lib64/libcrypt.so.1 (0x00007fe2d133b000)
	libxcb.so.1 => /usr/lib64/libxcb.so.1 (0x00007fe2d1120000)
	libXau.so.6 => /usr/lib64/libXau.so.6 (0x00007fe2d0f1d000)
	libattr.so.1 => /lib64/libattr.so.1 (0x00007fe2d0d19000)
	libuuid.so.1 => /lib64/libuuid.so.1 (0x00007fe2d0b14000)
	libfreebl3.so => /lib64/libfreebl3.so (0x00007fe2d08b6000)
...end sample ldd details ...
---end copy and paste here---
paste the above into your bug report
[chrisw@x200 linus-2.6]$ ooffice RHEL54_KVM_AMQP_draft.doc 
pure virtual method called
terminate called without an active exception

---start copy and paste here---
(I)    x.org loaded video driver of...
(II) Loading /usr/lib64/xorg/modules/drivers//intel_drv.so
(II) Loading /usr/lib64/xorg/modules/drivers//vesa_drv.so
(II) Loading /usr/lib64/xorg/modules/drivers//fbdev_drv.so
(II) Unloading /usr/lib64/xorg/modules/drivers//vesa_drv.so
(II) Unloading /usr/lib64/xorg/modules/drivers//fbdev_drv.so
(==) Depth 24 pixmap format is 32 bpp
(III)  Desktop is: GNOME
(IV)   openoffice.org-kde version is: package openoffice.org-kde is not installed
(V)    libgcj version is: libgcj-4.4.1-2.fc11-x86_64
(VI)   kernel is: Linux 2.6.30.5-43.fc11.x86_64 #1 SMP Thu Aug 27 21:39:52 EDT 2009 x86_64 x86_64 x86_64
(VII)  OpenOffice.org core rpm version is: openoffice.org-core-3.1.1-19.2.fc11-x86_64
(VIII) accessibility is: false
(IX)   gtk theme is: Nodoka
(X)    icon theme is: Fedora
(XI)   metacity theme is: Nodoka
(XII)  fedora release is: Fedora release 11 (Leonidas)
(XIII) LANG is: en_US.UTF-8
...start free space details ...
Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/mapper/VolGroup00-LogVol00
                     137593936  46897816  83706708  36% /
/tmp                 137593936  46897816  83706708  36% /tmp
...end free space details ...
...start (default) java details ...
java version "1.6.0_0"
OpenJDK Runtime Environment (IcedTea6 1.5) (fedora-27.b16.fc11-x86_64)
OpenJDK 64-Bit Server VM (build 14.0-b15, mixed mode)
...end (default) java details ...
...start sestatus details ...
SELinux status:                 enabled
SELinuxfs mount:                /selinux
Current mode:                   enforcing
Mode from config file:          enforcing
Policy version:                 24
Policy from config file:        targeted
...end sestatus details ...
...start stackreport details ...
0x7f8fb4657c6c: 0x1eb048: /usr/lib64/openoffice.org3/program/../basis-link/ure-link/lib/libuno_sal.so.3 + 0x37c6c
0x7f8fb465878e: 0x1eb048: /usr/lib64/openoffice.org3/program/../basis-link/ure-link/lib/libuno_sal.so.3 + 0x3878e
0x34b400eee0: 0x16d88: /lib64/libpthread.so.0 + 0xeee0
0x34b34332f5: 0x167b40: /lib64/libc.so.6 + 0x332f5 (gsignal + 0x35)
0x34b3434b20: 0x167b40: /lib64/libc.so.6 + 0x34b20 (abort + 0x180)
0x34beac35f5: 0xf2338: /usr/lib64/libstdc++.so.6 + 0xc35f5 (__gnu_cxx::__verbose_terminate_handler() + 0x115)
0x34beac1a36: 0xf2338: /usr/lib64/libstdc++.so.6 + 0xc1a36
0x34beac1a63: 0xf2338: /usr/lib64/libstdc++.so.6 + 0xc1a63
0x34beac233f: 0xf2338: /usr/lib64/libstdc++.so.6 + 0xc233f
0x7f8fb2e6d034: 0x11c630: /usr/lib64/openoffice.org3/program/../basis-link/program/libsvllx.so + 0xc0034 (SfxItemPool::Put(SfxPoolItem const&, unsigned short) + 0x2b4)
0x7f8fb2e71131: 0x11c630: /usr/lib64/openoffice.org3/program/../basis-link/program/libsvllx.so + 0xc4131 (SfxItemSet::Put(SfxPoolItem const&, unsigned short) + 0x131)
0x7f8fb2e74480: 0x11c630: /usr/lib64/openoffice.org3/program/../basis-link/program/libsvllx.so + 0xc7480 (SfxItemSet::Set(SfxItemSet const&, unsigned char) + 0x90)
0x7f8f8e57187e: 0xe363f8: /usr/lib64/openoffice.org3/program/../basis-link/program/libsvxlx.so + 0x6a687e
0x7f8f8e571ff2: 0xe363f8: /usr/lib64/openoffice.org3/program/../basis-link/program/libsvxlx.so + 0x6a6ff2
0x7f8fb2e6d98b: 0x11c630: /usr/lib64/openoffice.org3/program/../basis-link/program/libsvllx.so + 0xc098b (SfxItemPool::Free(SfxItemPool*) + 0x9b)
0x7f8f8f673c42: 0xb9c6b8: /usr/lib64/openoffice.org3/program/../basis-link/program/libswlx.so + 0x47cc42 (SwDoc::~SwDoc() + 0x1362)
0x7f8f8f9fc3b7: 0xb9c6b8: /usr/lib64/openoffice.org3/program/../basis-link/program/libswlx.so + 0x8053b7
0x7f8f8f9fc4b8: 0xb9c6b8: /usr/lib64/openoffice.org3/program/../basis-link/program/libswlx.so + 0x8054b8 (SwDocShell::~SwDocShell() + 0x88)
0x7f8fb334c4c6: 0x439ce8: /usr/lib64/openoffice.org3/program/../basis-link/program/libsfxlx.so + 0x27e4c6
0x7f8fb3358ffe: 0x439ce8: /usr/lib64/openoffice.org3/program/../basis-link/program/libsfxlx.so + 0x28affe (SfxTopViewFrame::~SfxTopViewFrame() + 0x3e)
0x7f8fb33593d9: 0x439ce8: /usr/lib64/openoffice.org3/program/../basis-link/program/libsfxlx.so + 0x28b3d9 (SfxTopViewFrame::Close() + 0x39)
0x7f8fb333d266: 0x439ce8: /usr/lib64/openoffice.org3/program/../basis-link/program/libsfxlx.so + 0x26f266
0x7f8fb3365a03: 0x439ce8: /usr/lib64/openoffice.org3/program/../basis-link/program/libsfxlx.so + 0x297a03 (SfxBaseController::dispose() + 0x5e3)
0x7f8f9e3413a0: 0x334c88: /usr/lib64/openoffice.org3/program/../basis-link/program/libfwklx.so + 0xfe3a0
0x7f8f9e343e50: 0x334c88: /usr/lib64/openoffice.org3/program/../basis-link/program/libfwklx.so + 0x100e50
0x7f8f9e30cf2a: 0x334c88: /usr/lib64/openoffice.org3/program/../basis-link/program/libfwklx.so + 0xc9f2a
0x7f8f9e30e756: 0x334c88: /usr/lib64/openoffice.org3/program/../basis-link/program/libfwklx.so + 0xcb756
0x7f8fb31de40d: 0x439ce8: /usr/lib64/openoffice.org3/program/../basis-link/program/libsfxlx.so + 0x11040d
0x7f8fb33731f1: 0x439ce8: /usr/lib64/openoffice.org3/program/../basis-link/program/libsfxlx.so + 0x2a51f1
0x7f8fb33735f4: 0x439ce8: /usr/lib64/openoffice.org3/program/../basis-link/program/libsfxlx.so + 0x2a55f4
0x7f8fb339faba: 0x439ce8: /usr/lib64/openoffice.org3/program/../basis-link/program/libsfxlx.so + 0x2d1aba
0x7f8fb16e512d: 0x3e1108: /usr/lib64/openoffice.org3/program/../basis-link/program/libvcllx.so + 0x2c612d
0x7f8fa8e27588: 0x8dad0: /usr/lib64/openoffice.org/basis3.1/program/libvclplug_genlx.so + 0x60588 (SalDisplay::DispatchInternalEvent() + 0xb8)
0x7f8fa9092b60: 0x56ac8: /usr/lib64/openoffice.org/basis3.1/program/libvclplug_gtklx.so + 0x18b60
0x34b5037abe: 0xdcae8: /lib64/libglib-2.0.so.0 + 0x37abe (g_main_context_dispatch + 0x22e)
0x34b503b278: 0xdcae8: /lib64/libglib-2.0.so.0 + 0x3b278
0x34b503b3a0: 0xdcae8: /lib64/libglib-2.0.so.0 + 0x3b3a0 (g_main_context_iteration + 0x80)
0x7f8fa9092ccd: 0x56ac8: /usr/lib64/openoffice.org/basis3.1/program/libvclplug_gtklx.so + 0x18ccd
0x7f8fb150c39e: 0x3e1108: /usr/lib64/openoffice.org3/program/../basis-link/program/libvcllx.so + 0xed39e (Application::Yield(bool) + 0x3e)
0x7f8fb150c407: 0x3e1108: /usr/lib64/openoffice.org3/program/../basis-link/program/libvcllx.so + 0xed407 (Application::Execute() + 0x27)
0x7f8fb43d2d27: 0x72fa8: /usr/lib64/openoffice.org3/program/../basis-link/program/libsofficeapp.so + 0x28d27
0x7f8fb1510f39: 0x3e1108: /usr/lib64/openoffice.org3/program/../basis-link/program/libvcllx.so + 0xf1f39
0x7f8fb1511025: 0x3e1108: /usr/lib64/openoffice.org3/program/../basis-link/program/libvcllx.so + 0xf2025 (SVMain() + 0x25)
0x7f8fb440494c: 0x72fa8: /usr/lib64/openoffice.org3/program/../basis-link/program/libsofficeapp.so + 0x5a94c (soffice_main + 0x9c)
0x400f8b: 0x1930: /usr/lib64/openoffice.org3/program/soffice.bin + 0xf8b (main + 0xb)
0x34b341ea2d: 0x167b40: /lib64/libc.so.6 + 0x1ea2d (__libc_start_main + 0xfd)
0x400eb9: 0x1930: /usr/lib64/openoffice.org3/program/soffice.bin + 0xeb9
...end stackreport details ...
...start sample ldd details ...
	linux-vdso.so.1 =>  (0x00007fffd211c000)
	libgtk-x11-2.0.so.0 => /usr/lib64/libgtk-x11-2.0.so.0 (0x00007f63548aa000)
	libgdk-x11-2.0.so.0 => /usr/lib64/libgdk-x11-2.0.so.0 (0x00007f635460b000)
	libatk-1.0.so.0 => /usr/lib64/libatk-1.0.so.0 (0x00007f63543ec000)
	libgio-2.0.so.0 => /lib64/libgio-2.0.so.0 (0x00007f6354174000)
	libpangoft2-1.0.so.0 => /usr/lib64/libpangoft2-1.0.so.0 (0x00007f6353f46000)
	libgdk_pixbuf-2.0.so.0 => /usr/lib64/libgdk_pixbuf-2.0.so.0 (0x00007f6353d29000)
	libpangocairo-1.0.so.0 => /usr/lib64/libpangocairo-1.0.so.0 (0x00007f6353b1e000)
	libcairo.so.2 => /usr/lib64/libcairo.so.2 (0x00007f63538a7000)
	libpango-1.0.so.0 => /usr/lib64/libpango-1.0.so.0 (0x00007f635365e000)
	libfreetype.so.6 => /usr/lib64/libfreetype.so.6 (0x00007f63533c5000)
	libfontconfig.so.1 => /usr/lib64/libfontconfig.so.1 (0x00007f6353190000)
	libgmodule-2.0.so.0 => /lib64/libgmodule-2.0.so.0 (0x00007f6352f8d000)
	libgthread-2.0.so.0 => /lib64/libgthread-2.0.so.0 (0x00007f6352d89000)
	librt.so.1 => /lib64/librt.so.1 (0x00007f6352b80000)
	libdbus-glib-1.so.2 => /usr/lib64/libdbus-glib-1.so.2 (0x00007f635295f000)
	libdbus-1.so.3 => /lib64/libdbus-1.so.3 (0x00007f6352721000)
	libgobject-2.0.so.0 => /lib64/libgobject-2.0.so.0 (0x00007f63524dd000)
	libglib-2.0.so.0 => /lib64/libglib-2.0.so.0 (0x00007f63521ff000)
	libvclplug_genlx.so => /usr/lib64/openoffice.org/basis3.1/program/libvclplug_genlx.so (0x00007f6351f69000)
	libvcllx.so => /usr/lib64/openoffice.org/basis3.1/program/libvcllx.so (0x00007f635197a000)
	libpsplx.so => /usr/lib64/openoffice.org/basis3.1/program/libpsplx.so (0x00007f6351689000)
	libsotlx.so => /usr/lib64/openoffice.org/basis3.1/program/libsotlx.so (0x00007f6351424000)
	libutllx.so => /usr/lib64/openoffice.org/basis3.1/program/libutllx.so (0x00007f6351185000)
	libtllx.so => /usr/lib64/openoffice.org/basis3.1/program/libtllx.so (0x00007f6350ed9000)
	libcomphelp4gcc3.so => /usr/lib64/openoffice.org/basis3.1/program/libcomphelp4gcc3.so (0x00007f6350b79000)
	libucbhelper4gcc3.so => /usr/lib64/openoffice.org/basis3.1/program/libucbhelper4gcc3.so (0x00007f63508f7000)
	libuno_cppuhelpergcc3.so.3 => /usr/lib64/openoffice.org/basis3.1/program/../ure-link/lib/libuno_cppuhelpergcc3.so.3 (0x00007f6350650000)
	libuno_cppu.so.3 => /usr/lib64/openoffice.org/basis3.1/program/../ure-link/lib/libuno_cppu.so.3 (0x00007f6350424000)
	libvos3gcc3.so => /usr/lib64/openoffice.org/basis3.1/program/libvos3gcc3.so (0x00007f63501fd000)
	libuno_sal.so.3 => /usr/lib64/openoffice.org/basis3.1/program/../ure-link/lib/libuno_sal.so.3 (0x00007f634fe07000)
	libXrandr.so.2 => /usr/lib64/libXrandr.so.2 (0x00007f634fbff000)
	libX11.so.6 => /usr/lib64/libX11.so.6 (0x00007f634f8c5000)
	libXext.so.6 => /usr/lib64/libXext.so.6 (0x00007f634f6b3000)
	libdl.so.2 => /lib64/libdl.so.2 (0x00007f634f4af000)
	libpthread.so.0 => /lib64/libpthread.so.0 (0x00007f634f292000)
	libstdc++.so.6 => /usr/lib64/libstdc++.so.6 (0x00007f634ef88000)
	libm.so.6 => /lib64/libm.so.6 (0x00007f634ed04000)
	libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00007f634eae9000)
	libc.so.6 => /lib64/libc.so.6 (0x00007f634e77b000)
	libXfixes.so.3 => /usr/lib64/libXfixes.so.3 (0x00007f634e576000)
	libXrender.so.1 => /usr/lib64/libXrender.so.1 (0x00007f634e36c000)
	libXinerama.so.1 => /usr/lib64/libXinerama.so.1 (0x00007f634e16a000)
	libXi.so.6 => /usr/lib64/libXi.so.6 (0x00007f634df60000)
	libXcursor.so.1 => /usr/lib64/libXcursor.so.1 (0x00007f634dd55000)
	libXcomposite.so.1 => /usr/lib64/libXcomposite.so.1 (0x00007f634db53000)
	libXdamage.so.1 => /usr/lib64/libXdamage.so.1 (0x00007f634d951000)
	libselinux.so.1 => /lib64/libselinux.so.1 (0x00007f634d732000)
	libpng12.so.0 => /usr/lib64/libpng12.so.0 (0x00007f634d50d000)
	libpixman-1.so.0 => /usr/lib64/libpixman-1.so.0 (0x00007f634d2c7000)
	libz.so.1 => /lib64/libz.so.1 (0x00007f634d0b2000)
	libexpat.so.1 => /lib64/libexpat.so.1 (0x00007f634ce8a000)
	/lib64/ld-linux-x86-64.so.2 (0x00000034b3000000)
	libcap.so.2 => /lib64/libcap.so.2 (0x00007f634cc85000)
	libi18npaperlx.so => /usr/lib64/openoffice.org/basis3.1/program/libi18npaperlx.so (0x00007f634ca7f000)
	libbasegfxlx.so => /usr/lib64/openoffice.org/basis3.1/program/libbasegfxlx.so (0x00007f634c7d9000)
	libSM.so.6 => /usr/lib64/libSM.so.6 (0x00007f634c5d1000)
	libICE.so.6 => /usr/lib64/libICE.so.6 (0x00007f634c3b5000)
	libi18nisolang1gcc3.so => /usr/lib64/openoffice.org/basis3.1/program/libi18nisolang1gcc3.so (0x00007f634c1ae000)
	libi18nutilgcc3.so => /usr/lib64/openoffice.org/basis3.1/program/libi18nutilgcc3.so (0x00007f634bf9b000)
	libicuuc.so.40 => /usr/lib64/libicuuc.so.40 (0x00007f634bc55000)
	libicudata.so.40 => /usr/lib64/libicudata.so.40 (0x00007f634ad10000)
	libicule.so.40 => /usr/lib64/libicule.so.40 (0x00007f634aadb000)
	libjvmaccessgcc3.so.3 => /usr/lib64/openoffice.org/basis3.1/program/../ure-link/lib/libjvmaccessgcc3.so.3 (0x00007f634a8d3000)
	libuno_salhelpergcc3.so.3 => /usr/lib64/openoffice.org/basis3.1/program/../ure-link/lib/libuno_salhelpergcc3.so.3 (0x00007f634a6cf000)
	libcrypt.so.1 => /lib64/libcrypt.so.1 (0x00007f634a497000)
	libxcb.so.1 => /usr/lib64/libxcb.so.1 (0x00007f634a27c000)
	libXau.so.6 => /usr/lib64/libXau.so.6 (0x00007f634a079000)
	libattr.so.1 => /lib64/libattr.so.1 (0x00007f6349e75000)
	libuuid.so.1 => /lib64/libuuid.so.1 (0x00007f6349c70000)
	libfreebl3.so => /lib64/libfreebl3.so (0x00007f6349a12000)
...end sample ldd details ...

Comment 1 Caolan McNamara 2009-09-12 10:30:40 UTC
I think that's the second report of this. To get anywhere with it I need to get my hands on a reproducer. Does this happen on exit after opening a particular .doc ? If so then please attach it here.

Comment 2 Caolan McNamara 2009-09-12 10:31:33 UTC
*** Bug 522658 has been marked as a duplicate of this bug. ***

Comment 3 Caolan McNamara 2009-09-16 10:43:27 UTC
caolanm->chrisw: Does this happen on exit after opening a particular
.doc ? If so then please attach it here.

Comment 4 Caolan McNamara 2009-09-23 08:20:26 UTC
caolanm->chrisw: Does this happen on exit after opening a particular
.doc ? If so then please attach it here.

Comment 5 Chris Wright 2009-09-23 08:54:22 UTC
It was a particular .doc, yes.  But I'm not sure I still have that .doc.

Comment 6 Caolan McNamara 2009-09-23 10:30:09 UTC
got an example crasher on exit .doc, accepted

Comment 7 Caolan McNamara 2009-09-23 15:09:39 UTC
Fix checked in, will be in >= 3.1.1-19.4

Comment 8 Fedora Update System 2009-09-24 07:59:57 UTC
openoffice.org-3.1.1-19.4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/openoffice.org-3.1.1-19.4.fc11

Comment 9 Fedora Update System 2009-09-25 20:06:23 UTC
openoffice.org-3.1.1-19.4.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openoffice.org'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-9921

Comment 10 Fedora Update System 2009-10-29 08:46:39 UTC
openoffice.org-3.1.1-19.5.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/openoffice.org-3.1.1-19.5.fc11

Comment 11 Fedora Update System 2009-11-04 12:20:13 UTC
openoffice.org-3.1.1-19.5.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openoffice.org'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10957

Comment 12 Fedora Update System 2009-11-07 12:58:57 UTC
openoffice.org-3.1.1-19.7.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/openoffice.org-3.1.1-19.7.fc11

Comment 13 Fedora Update System 2009-11-10 17:57:15 UTC
openoffice.org-3.1.1-19.7.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openoffice.org'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-11295

Comment 14 Fedora Update System 2009-11-17 11:10:38 UTC
openoffice.org-3.1.1-19.8.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/openoffice.org-3.1.1-19.8.fc11

Comment 15 Fedora Update System 2009-11-18 14:09:24 UTC
openoffice.org-3.1.1-19.8.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.